lkml.org 
[lkml]   [2018]   [Oct]   [5]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH v3] tools/lib/traceevent: Replace str_error_r() with an open coded implementation
On Fri, 5 Oct 2018 12:47:40 -0300
Arnaldo Carvalho de Melo <acme@kernel.org> wrote:

> Em Fri, Oct 05, 2018 at 11:45:16AM -0400, Steven Rostedt escreveu:
> > On Fri, 5 Oct 2018 12:37:31 -0300
> > Arnaldo Carvalho de Melo <acme@kernel.org> wrote:
> >
> > > Em Fri, Oct 05, 2018 at 11:30:56AM -0400, Steven Rostedt escreveu:
> > > > Bah, I now get warnings that sys_nerr and sys_errlist are deprecated.
> > > >
> > > > OK, so going back to just using the racy strerror() should be good
> > > > enough, as this incompatibility with strerror_r() is a disaster!
> > >
> > > I've been there, done that... ;-) Check:
> > >
> > > tools/lib/str_error_r.c
> > > tools/lib/bpf/str_error.c
> > >
> > > The trick: have this function in a separate file, so that _GNU_SOURCE
> > > doesn't get in the way...
> > >
> >
> > Yep, I've been looking at these. I'll need to add yet another version,
> > so that we can have it for the external libtraceevent. I'll be sending
> > out a patch shortly.
>
> Unfortunately, yes, due to licensing and because we don't have a
> liblinux with the things in tools/lib/*.c, we need to relicense that as
> at least LGPL 2.1 :-\
>
> Lets start here, whoever reads this message, would you have a problem
> with relicensing what is in tools/lib/*.c and tools/lib/api/ as LGPL
> 2.1?
>

All of the libtraceeevent code was already licensed as LGPL 2.1 to
begin with. It was taken from trace-cmd which had that as LGPL as well.

:-)

-- Steve

\
 
 \ /
  Last update: 2018-10-05 17:58    [W:0.033 / U:7.332 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site